/**
 * 权限系统（菜单管理）
 */

/**
 * [index 所有权限]
 * @return {[type]} [description]
 */
export function index() {
  return service.get('api/permissions/index');
}

/**
 * [create 创建权限]
 * @param  {[type]} data [description]
 * @return {[type]}      [description]
 */
export function create(data) {
  return serviceForm.post('api/permissions/create', data);
}

/**
 * [update 修改权限]
 * @param  {[type]} data [description]
 * @param  {[type]} id   [角色id]
 * @return {[type]}      [description]
 */
export function update(data, id) {
  return serviceForm.post(`api/permissions/update/${id}`, data);
}

/**
 * [destroy 删除权限]
 * @param  {[type]} data [description]
 * @return {[type]}      [description]
 */
export function destroy(data) {
  return service.post('api/permissions/destroy', data);
}
